header {
  width: 100%;
  height: 150px;
  font-weight: 500;
  font-style: normal;
}

.title-header {
  text-transform: uppercase;
  text-align: center;
  font-size: 32px;
  letter-spacing: 2px;
  width: 100%;
}

.title-details {
  text-align: center;
  width: 100%;
  text-transform: uppercase;
  font-size: 32px;
  letter-spacing: 4px;
  color: var(--color);
}

.nav-image {
  display: flex;
}

.icon {
  width: 50px;
  height: 50px;
  margin-left: 12px;
}

/* Contenedor del ícono y texto */
.icon-container {
  position: relative;
  width: 40px;
  height: 40px;
  perspective: 1000px;
  /* Para crear el efecto 3D */
}

/* Ícono */
.icon {
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  /* Oculta el lado de atrás durante el flip */
  transition: transform 0.6s;
  position: absolute;
  top: 0;
  left: 0;
}

/* Texto "Home", inicialmente oculto */
.home-text {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 0;
  left: 0;
  backface-visibility: hidden;
  transform: rotateY(180deg);
  /* Está al revés por defecto */
  font-size: 1rem;
  font-weight: bold;
  color: var(--color);
  transition: transform 0.6s;
  opacity: 0;
  /* Inicialmente oculto */
}

/* Efecto hover en el contenedor del ícono */
.icon-container:hover .icon {
  transform: rotateY(180deg);
  /* Flip del ícono */
}

.icon-container:hover .home-text {
  transform: rotateY(0deg);
  /* Aparece el texto girado a 0º */
  opacity: 1;
  /* Aparece el texto */
}

/* Ajustes en pantalla pequeña */
@media screen and (max-width: 620px) {
  .icon-container {
    width: 30px;
    height: 30px;
  }

  .home-text {
    font-size: 0.8rem;
  }
}

.title-details {
  font-size: 2.2rem;
  font-weight: 700;
  color: white;
}

/* Loading Text */
p {
  text-align: center;
  font-size: 1.2rem;
  color: #fff;
}

/* Estilo del overlay del modal */
.overlay {
  background-color: rgba(0, 0, 0, 0.75);
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1000;
}

/* Estilo del modal */
.modal {
  background-color: #fff;
  border-radius: 8px;
  padding: 20px;
  max-width: 600px;
  margin: 200px auto;
  position: relative;
}

.modal button {
  position: absolute;
  top: 10px;
  right: 10px;
  background: red;
  color: white;
  border: none;
  font-size: medium;
  border-radius: 20px;
  padding: 5px 10px;
  cursor: pointer;
}

.modal button:hover {
  background-color: rgb(168, 2, 2);
}


@media screen and (max-width: 620px) {
  .title-header {
    letter-spacing: 2px;
    margin-bottom: 10%;
    margin-left: 10%;
  }

  .title-details {
    text-align: center;
    width: 100%;
    font-size: 2rem;
    letter-spacing: 4px;
    margin-left: 18%;
    margin-right: 20%;
  }

  .title-trailer {
    font-size: 2rem;
    letter-spacing: 4px;
    margin-bottom: 3%;
    margin-left: 30%;
  }
  .icon {
   width: 30px;
   height: 30px;
  }
}
